---
- hosts: all
  tasks:
    - name: Update and upgrade apt packages
      become: true
      apt:
        upgrade: yes
        update_cache: yes
      when: (ansible_hostname == 'debian') or (ansible_hostname == 'ubuntu')

    - name: Update and upgrade yum packages
      yum:
        name: '*'
        state: 'latest'
      when: (ansible_hostname == 'rockylinux')
